//=============================================================================
// MPU ý 
//
// by nexp76(nexp76@naver.com) http://cafe.naver.com/elab
// [config.h]
//=============================================================================

/*
  - Driver Cinfiguration Define
*/
#define ewarm

#include "../hw_ints.h"
#include "../hw_memmap.h"
#include "../hw_types.h"
#include "sysctl.h"
//-----------------------------------------------------------------------------
// UTILITY DEFINATION
#define Sbi(Port, Value)        	(Port |= Value)
#define Cbi(Port, Value)            (Port &= (~Value))
#define Tbi(Port, Value)            (Port ^= Value)

#define MSB(x)    					(((x) >> 8) & 0xFF)
#define LSB(x)    					((x) & 0xFF)
#define ABS(x)						((x<0)?x:x*=-1))

//#define TRUE						1
//#define FALSE						0

#define BIT0						0x01
#define BIT1						0x02
#define BIT2						0x04
#define BIT3						0x08
#define BIT4						0x10
#define BIT5						0x20
#define BIT6						0x40
#define BIT7						0x80
#define BIT8						0x0100
#define BIT9						0x0200
#define BIT10						0x0400
#define BIT11						0x0800
#define BIT12						0x1000
#define BIT13						0x2000
#define BIT14						0x4000
#define BIT15						0x8000
//-----------------------------------------------------------------------------


//#define _UART0_ENABLE
//UART1 ϱ 
//#define _UART0_ENABLE


//-----------------------------------------------------------------------------
#if 1
//#define U0_printf						printf
#define DebugPrint						U0_printf
#define DebugInit						U0_Init
#define DebugGetByte					U0_GetByte
#define DebugIsByte						U0_IsGetByte
#endif

#if 0
#define DebugPrint						printf
#define DebugInit						U1_Init
#define DebugGetByte					U1_GetByte
#define DebugIsByte						U1_IsGetByte
#endif
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//LED Driver
#define LED1_BIT						BIT0
#define LED1_PORT						GPIO_PORTE_DATA_R
#define Led1Init()						
#define Led1Off()						Sbi(LED1_PORT, LED1_BIT)
#define Led1On()						Cbi(LED1_PORT, LED1_BIT)
#define Led1Toggle()					Tbi(LED1_PORT, LED1_BIT)

#define LED2_BIT						
#define LED2_PORT						
#define Led2Init()						
#define Led2Off()						
#define Led2On()						
#define Led2Toggle()					

#define Led1Init() 						(SYSCTL_RCGC2_R |= SYSCTL_RCGC2_GPIOE);\
										Sbi(GPIO_PORTE_DIR_R, LED1_BIT);Sbi(GPIO_PORTE_DEN_R, LED1_BIT)	
 	
//-----------------------------------------------------------------------------
//Switch Driver
#define SW1_BIT							BIT7
#define SW1_PORT						GPIO_PORTC_DATA_R
#define Sw1Init()						(SYSCTL_RCGC2_R |= SYSCTL_RCGC2_GPIOC);\
										Cbi(GPIO_PORTC_DIR_R, LED1_BIT);Sbi(GPIO_PORTC_DEN_R, SW1_BIT)

#define GetSw1()						(GPIO_PORTC_DATA_R&SW1_BIT)
#define WaitForSw1()					while(GetSw1())

