//=============================================================================
// MPU ý 
//
// by nexp76(nexp76@naver.com)
// [system.h]
//=============================================================================

/*

*/
#ifndef	_SYSTEM_H_
#define	_SYSTEM_H_


//-----------------------------------------------------------------------------
// UTILITY DEFINATION
#define Sbi(Port, Value)        	(Port |= Value)
#define Cbi(Port, Value)            (Port &= (~Value))
#define Tbi(Port, Value)            (Port ^= Value)

#define MSB(x)    					(((x) >> 8) & 0xFF)
#define LSB(x)    					((x) & 0xFF)
#define ABS(x)						((x<0)?x:x*=-1))

//#define TRUE						1
//#define FALSE						0

#define BIT0						0x01
#define BIT1						0x02
#define BIT2						0x04
#define BIT3						0x08
#define BIT4						0x10
#define BIT5						0x20
#define BIT6						0x40
#define BIT7						0x80
#define BIT8						0x0100
#define BIT9						0x0200
#define BIT10						0x0400
#define BIT11						0x0800
#define BIT12						0x1000
#define BIT13						0x2000
#define BIT14						0x4000
#define BIT15						0x8000

#define BIT16						0x00010000
#define BIT17						0x00020000
#define BIT18						0x00040000
#define BIT19						0x00080000
#define BIT20						0x00100000
#define BIT21						0x00200000
#define BIT22						0x00400000
#define BIT23						0x00800000
#define BIT24						0x01000000
#define BIT25						0x02000000
#define BIT26						0x04000000
#define BIT27						0x08000000
#define BIT28				  		0x10000000
#define BIT29						0x20000000
#define BIT30						0x40000000
#define BIT31						0x80000000
//-----------------------------------------------------------------------------

void SystemInit(void);

//-----------------------------------------------------------------------------
#include "lm3s308.h"
#include "config.h"
#endif
